<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil com.intellij.openapi.roots.ui.configuration.SdkLookupProvider.SdkInfo nonblockingResolveGradleJvmInfo(com.intellij.openapi.roots.ui.configuration.SdkLookupProvider, com.intellij.openapi.project.Project, com.intellij.openapi.projectRoots.Sdk, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.7142.45&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleObjectTraverser.ClassInfo java.util.List&lt;java.lang.reflect.Field&gt; getFields()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil void whenExternalSystemEventReceived(com.intellij.openapi.Disposable, kotlin.jvm.functions.Function1&lt;? super com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskNotificationEvent,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil java.lang.Object resolveGradleJvmInfo(com.intellij.openapi.roots.ui.configuration.SdkLookupProvider, com.intellij.openapi.project.Project, java.lang.String, java.lang.String, kotlin.coroutines.Continuation&lt;? super com.intellij.openapi.roots.ui.configuration.SdkLookupProvider.SdkInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData java.lang.String getTaskPathOfSimpleTaskName(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt void setGradleIdentityPath(com.intellij.openapi.externalSystem.model.project.ModuleData, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil GRADLE_LOCAL_JAVA_HOME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleObjectTraverser">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range.Bound boolean isInclusive()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.VersionCatalogsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ProjectTaskData java.util.List&lt;org.jetbrains.plugins.gradle.util.ModuleTaskData&gt; component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData T find(com.intellij.openapi.externalSystem.model.Key&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionUtil void setupGradleJvm(com.intellij.openapi.project.Project, org.jetbrains.plugins.gradle.settings.GradleProjectSettings, org.gradle.util.GradleVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.TasksToRun void addFirst(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt java.lang.String getGradleIdentityPathOrNull(com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleDependencySourceDownloaderErrorHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil void whenExternalSystemTaskOutputAdded(com.intellij.openapi.Disposable, kotlin.jvm.functions.Function3&lt;? super com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId,? super java.lang.String,? super java.lang.Boolean,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleDependencyUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.21849.9&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData java.util.List&lt;com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.task.TaskData&gt;&gt; getTasks()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil com.intellij.openapi.observable.operation.core.ObservableOperationTrace getGradleTaskExecutionOperation(com.intellij.openapi.Disposable, kotlin.jvm.functions.Function2&lt;? super com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId,? super java.lang.String,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine org.jetbrains.plugins.gradle.util.GradleCommandLine.TasksAndArguments getTasksAndArguments()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.JarUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt java.lang.String getGradleIdentityPath(com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_CORE_PLUGIN_SHORT_NAMES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil com.intellij.openapi.module.Module findGradleModule(com.intellij.openapi.project.Project, com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants KOTLIN_DSL_SCRIPT_EXTENSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil org.gradle.wrapper.WrapperConfiguration getWrapperConfiguration(java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionContext GradleJvmResolutionContext(com.intellij.openapi.project.Project, java.nio.file.Path, org.gradle.util.GradleVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants USER_HOME_PROPERTY_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.VersionCatalogsKt boolean isInVersionCatalogAccessor(com.intellij.psi.PsiMethod)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil com.intellij.openapi.observable.operation.core.ObservableOperationTrace getGradleProjectReloadOperation(com.intellij.openapi.project.Project, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil org.gradle.util.GradleVersion getGradleVersion(java.lang.String, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmValidationUtil org.jetbrains.plugins.gradle.util.JavaHomeValidationStatus validateGradleJavaHome(com.intellij.openapi.project.Project, org.gradle.util.GradleVersion, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt java.lang.String getGradlePathOrNull(com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTaskData boolean isJvm()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants KNOWN_GRADLE_SETTINGS_FILES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ProjectTaskData java.lang.String component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData java.lang.String getExternalModulePath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil java.lang.String determineRootProject(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.4505.7&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range boolean contains(T)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData java.util.List&lt;com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.task.TaskData&gt;&gt; component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmVendorUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleEnvironment.Urls">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.project.ModuleData&gt; findGradleModuleData(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmProviderId org.jetbrains.plugins.gradle.util.GradleJvmProviderId copy(org.jetbrains.plugins.gradle.settings.GradleProjectSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ProjectTaskData org.jetbrains.plugins.gradle.util.ProjectTaskData copy(java.lang.String, java.util.List&lt;org.jetbrains.plugins.gradle.util.ModuleTaskData&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ReflectionTraverser void walk(java.lang.Object, java.util.Collection&lt;? extends java.lang.Class&lt;?&gt;&gt;, java.util.Collection&lt;? extends java.lang.Class&lt;?&gt;&gt;, java.util.function.Consumer&lt;java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.7142.45&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleProperties org.jetbrains.plugins.gradle.util.GradleProperties.GradleProperty&lt;java.lang.String&gt; getJavaHomeProperty()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.7223.91&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionContext com.intellij.openapi.project.Project getProject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ReflectionTraverser.Companion void traverse(java.lang.Object, java.util.function.Consumer&lt;java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.7142.45&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleRerunFailedTasksActionUtilsKt boolean containsTasks(com.intellij.openapi.externalSystem.model.execution.ExternalSystemTaskExecutionSettings, java.util.List&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants KNOWN_GRADLE_FILES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine.ScriptParameters">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTasksUtilKt java.lang.String getGradlePath(com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.9011.34&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants DECLARATIVE_SCRIPT_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.TasksToRun java.lang.String removeLast()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_WRAPPER_PROPERTIES_FILE_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.19799.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestFilterFromPackage(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ProjectTaskData java.util.List&lt;org.jetbrains.plugins.gradle.util.ModuleTaskData&gt; getModulesTaskData()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleEnvironment.Urls java.lang.String getMavenRepositoryUrl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil java.lang.String getJavaHome(org.jetbrains.plugins.gradle.properties.GradlePropertiesFile, com.intellij.openapi.project.Project, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionUtil com.intellij.openapi.roots.ui.configuration.SdkLookupProvider getGradleJvmLookupProvider(com.intellij.openapi.project.Project, org.jetbrains.plugins.gradle.settings.GradleProjectSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.RangesKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmSupportMatrices org.gradle.util.GradleVersion suggestGradleVersion(org.jetbrains.plugins.gradle.util.SuggestGradleVersionOptions)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil boolean writeWrapperConfiguration(org.gradle.wrapper.WrapperConfiguration, java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil boolean isSupportedImplementationScope(org.gradle.util.GradleVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil com.intellij.openapi.observable.operation.core.ObservableOperationTrace getGradleProjectReloadOperation(com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil void setToWrapperConfiguration(org.gradle.wrapper.WrapperConfiguration, java.net.URI, java.util.Properties)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants DECLARATIVE_EXTENSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionContext java.nio.file.Path getExternalProjectPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ProjectTaskData java.lang.String getExternalProjectPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil java.lang.String getJavaHome(org.jetbrains.plugins.gradle.properties.GradleLocalPropertiesFile, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants TESTS_ARG_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3283.2&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil org.gradle.wrapper.WrapperConfiguration generateGradleWrapperConfiguration(org.gradle.util.GradleVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil USE_GRADLE_LOCAL_JAVA_HOME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmValidationUtil void validateJavaHome(com.intellij.openapi.project.Project, java.nio.file.Path, org.gradle.util.GradleVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.JavaHomeValidationStatus">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.7223.91&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine.Task">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestWildcardFilter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine GradleCommandLine(org.jetbrains.plugins.gradle.util.GradleCommandLine.TasksAndArguments, org.jetbrains.plugins.gradle.util.GradleCommandLine.ScriptParameters)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleDocumentationBundle INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.TasksToRun java.lang.String removeFirst()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_LOCAL_PROPERTIES_FILE_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleDeprecatedMessagesBundle">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil com.intellij.openapi.vfs.VirtualFile getGradleBuildScriptSource(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleEnvironment.Urls java.lang.String getGradleServicesUrl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleObjectTraverser.ClassInfo.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleObjectTraverser.ClassInfo ClassInfo(java.util.List&lt;java.lang.reflect.Field&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestFilterFrom(com.intellij.execution.Location&lt;?&gt;, com.intellij.psi.PsiClass, com.intellij.psi.PsiMethod)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData java.lang.String getModuleName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.project.ModuleData&gt; findGradleModuleData(com.intellij.openapi.project.Project, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt void setIncludedBuild(com.intellij.openapi.externalSystem.model.project.ModuleData, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil com.intellij.openapi.module.Module findGradleModule(com.intellij.openapi.project.Project, com.intellij.openapi.externalSystem.model.project.ProjectData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_DIR_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestFilterFrom(com.intellij.psi.PsiClass, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleArtifactDownloader">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil org.gradle.wrapper.WrapperConfiguration readWrapperConfiguration(java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData java.lang.String getGradlePath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil void excludeOutDir(com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.project.ModuleData&gt;, java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8617.56&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil void unexcludeOutDir(com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.project.ModuleData&gt;, java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8617.56&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_USER_HOME_ENV_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData java.lang.String getGradleIdentityPathOrNull()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.26830.84&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestFilterFrom(com.intellij.psi.PsiClass)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData java.lang.String getGradleIdentityPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTaskData com.intellij.openapi.externalSystem.model.task.TaskData getData()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6777.52&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleProperties.GradleProperty">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.7223.91&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleProperties.EMPTY java.lang.Void getGradleLoggingLevel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants INCLUDE_BUILD_CMD_OPTION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.6110.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionContext org.gradle.util.GradleVersion getGradleVersion()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil org.gradle.util.GradleVersion getGradleVersion(com.intellij.openapi.project.Project, com.intellij.psi.PsiFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_DAEMON_JVM_PROPERTIES_FILE_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestFilterFrom(com.intellij.psi.PsiPackage)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTaskData java.lang.String getGroup()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6777.52&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleDocumentationBundle java.util.function.Supplier&lt;java.lang.String&gt; messagePointer(java.lang.String, java.lang.Object[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmComboBoxUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil java.nio.file.Path findDefaultWrapperPropertiesFile(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_USER_HOME_PROPERTY_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleVersionXmlConverter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range.Bound.Inf">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCompletionUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.19799.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants BUILD_FILE_EXTENSIONS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range.Bound org.jetbrains.plugins.gradle.util.Range.Bound&lt;R&gt; map(kotlin.jvm.functions.Function1&lt;? super T,? extends R&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine.TasksAndArguments">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmSupportMatrices org.gradle.util.GradleVersion suggestGradleVersion(kotlin.jvm.functions.Function1&lt;? super org.jetbrains.plugins.gradle.util.SuggestGradleVersionOptions,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData ModuleTaskData(java.lang.String, java.lang.String, java.util.List&lt;? extends com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.task.TaskData&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData java.lang.String getGradlePathOrNull()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.26830.84&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradlePropertiesUtil org.jetbrains.plugins.gradle.util.GradleProperties getGradleProperties(com.intellij.openapi.project.Project, java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.7142.45&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine org.jetbrains.plugins.gradle.util.GradleCommandLine parse(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine.Companion org.jetbrains.plugins.gradle.util.GradleCommandLine parse(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTaskData">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil com.intellij.openapi.observable.operation.core.ObservableOperationTrace getGradleTaskExecutionOperation(com.intellij.openapi.project.Project, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_CACHE_DIR_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_PROPERTIES_FILE_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmProviderId org.jetbrains.plugins.gradle.settings.GradleProjectSettings getProjectSettings()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil java.net.URI getWrapperDistributionUri(org.gradle.util.GradleVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestFilterFrom(com.intellij.psi.PsiMethod)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmProviderId org.jetbrains.plugins.gradle.settings.GradleProjectSettings component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants DECLARATIVE_SETTINGS_FILE_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil void whenExternalSystemTaskStarted(com.intellij.openapi.Disposable, kotlin.jvm.functions.Function2&lt;? super com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId,? super java.lang.String,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTasksUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil java.lang.Object resolveGradleJvmInfo(com.intellij.openapi.roots.ui.configuration.SdkLookupProvider, com.intellij.openapi.project.Project, com.intellij.openapi.projectRoots.Sdk, java.lang.String, java.lang.String, kotlin.coroutines.Continuation&lt;? super com.intellij.openapi.roots.ui.configuration.SdkLookupProvider.SdkInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt boolean isIncludedBuild(com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleWindowsDefenderCheckerExt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil void setFromWrapperConfiguration(org.gradle.wrapper.WrapperConfiguration, java.util.Properties)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil com.intellij.openapi.module.Module findGradleModule(com.intellij.openapi.project.Project, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil java.nio.file.Path findDefaultWrapperPropertiesFile(java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants BUILD_SRC_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleProperties.EMPTY java.lang.Void getJavaHomeProperty()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.7223.91&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleArtifactDownloader java.util.concurrent.CompletableFuture&lt;java.nio.file.Path&gt; downloadArtifact(com.intellij.openapi.project.Project, java.lang.String, java.lang.String, java.lang.String, org.jetbrains.plugins.gradle.util.GradleDependencySourceDownloaderErrorHandler)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradlePropertiesUtil GRADLE_LOGGING_LEVEL_PROPERTY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Ranges">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil com.intellij.openapi.observable.operation.core.ObservableOperationTrace getGradleProjectReloadOperation(com.intellij.openapi.Disposable, kotlin.jvm.functions.Function2&lt;? super com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId,? super java.lang.String,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleExecutionSettingsUtil java.lang.String createTestFilter(java.lang.String, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ReflectionTraverser void traverse(java.lang.Object, java.util.function.Consumer&lt;java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.7142.45&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleDependencySourceDownloaderErrorHandler Noop">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmSupportMatrices">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradlePropertiesUtil org.jetbrains.plugins.gradle.util.GradleProperties getGradleProperties(java.lang.String, java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ProjectTaskData ProjectTaskData(java.lang.String, java.util.List&lt;org.jetbrains.plugins.gradle.util.ModuleTaskData&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil java.lang.String writeWrapperConfigurationToString(org.gradle.wrapper.WrapperConfiguration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData org.jetbrains.plugins.gradle.util.ModuleTaskData copy(java.lang.String, java.lang.String, java.util.List&lt;? extends com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.task.TaskData&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants KOTLIN_DSL_SCRIPT_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil byte[] writeWrapperConfigurationToByteArray(org.gradle.wrapper.WrapperConfiguration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil com.intellij.openapi.observable.operation.core.ObservableOperationTrace getGradleTaskExecutionOperation(com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData boolean isIncludedBuild()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleCommandLine org.jetbrains.plugins.gradle.util.GradleCommandLine.ScriptParameters getScriptParameters()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleDataKt void setGradlePath(com.intellij.openapi.externalSystem.model.project.ModuleData, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData com.intellij.openapi.externalSystem.model.project.ModuleData getModuleData()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil com.intellij.openapi.observable.operation.core.ObservableOperationTrace getGradleProjectReloadOperation(java.lang.String, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTasksUtilKt java.util.Map&lt;java.lang.String,com.intellij.util.containers.MultiMap&lt;java.lang.String,org.jetbrains.plugins.gradle.util.GradleTaskData&gt;&gt; getGradleTasks(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.DefaultGradleDependencySourceDownloaderErrorHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleObjectTraverser.ClassInfo Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTaskData com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.task.TaskData&gt; getNode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6777.52&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil org.gradle.util.GradleVersion getGradleVersion(com.intellij.openapi.project.Project, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleModuleData java.lang.String getFullGradlePath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.19799.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTaskData boolean isJvmTest()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleBundle java.util.function.Supplier&lt;java.lang.String&gt; messagePointer(java.lang.String, java.lang.Object[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleDependencySourceDownloaderErrorHandler.Noop">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.SuggestGradleVersionOptions">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleArtifactDownloader java.util.concurrent.CompletableFuture&lt;java.nio.file.Path&gt; downloadArtifact(com.intellij.openapi.project.Project, java.lang.String, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.TasksToRun void addLast(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants GRADLE_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.TasksToRun">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmResolutionUtil com.intellij.openapi.projectRoots.Sdk resolveProjectJdk(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData java.lang.String component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil boolean isResolveTask(com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmCriteriaUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.ModuleTaskData java.lang.String component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmValidationUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.7223.91&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleProperties org.jetbrains.plugins.gradle.util.GradleProperties.GradleProperty&lt;java.lang.String&gt; getGradleLoggingLevel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradlePathPrefixTree">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleConstants KOTLIN_DSL_SETTINGS_FILE_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range org.jetbrains.plugins.gradle.util.Range&lt;R&gt; map(kotlin.jvm.functions.Function1&lt;? super T,? extends R&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.Range.Bound T getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleImportingUtil void whenExternalSystemTaskFinished(com.intellij.openapi.Disposable, kotlin.jvm.functions.Function2&lt;? super com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId,? super com.intellij.openapi.observable.operation.OperationExecutionStatus,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleJvmProviderId GradleJvmProviderId(org.jetbrains.plugins.gradle.settings.GradleProjectSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradlePropertiesUtil USER_HOME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradlePropertiesUtil java.nio.file.Path getGradleUserHomePropertiesPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleTaskClassifier">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.plugins.gradle.util.GradleUtil java.util.Properties readGradleProperties(java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
</root>
